# README

This folder contains different configuration files intended for the use with the [Ganglia Monitoring](http://ganglia.info/) system. HTCondor offers Ganglia integration by using a separate daemon, `GangliaD`.  

## Setting Up Ganglia

* Install ganglia on a machine which also acts as HTCondor collector.
The package usually is called `ganglia-monitoring`or `gmond`.
* Install/set up `gmetad` somewhere in your system landscape & add a cluster `Workers` to `/etc/ganglia/gmetad.conf`.
    ```
    data_source "Workers" ekpcondorcentral #multicast 239.2.11.75
    ```
## Setting Up GangliaD

* Use the configuration file `0018.ganglia.cfg` from the repository and link/copy it into `/etc/condor/config.d`.

## Define metrics which should be tracked in Ganglia by GangliaD

* Link/copy files from this folder to `/etc/condor/ganglia.d`. The files have different focuses, which should be rather obvious from their names.
* **Avoid** to delete/overwrite `/etc/condor/ganglia.d/00_default_metrics`.
* Add more metrics yourself. Follow the [HTCondor manual](http://research.cs.wisc.edu/htcondor/manual/) and these examples.

## Installing custom views

The `views` subfolder contains specialized views which can be installed on the machine running the **ganglia-webfrontend**.
When using the default configuration values, these files have to be copied to `/var/lib/ganglia-web/conf`.
